Page MenuHomePhabricator

Epic ⚡️ AbuseFilter performance management improvements
Closed, ResolvedPublic

Description

Project documentation

https://meta.wikimedia.org/wiki/Community_health_initiative/AbuseFilter

High-level goal

Allow users to run more AbuseFilter filters on every publish.

Prioritization rationale

AbuseFilter is already successful for spam and performance is a known concern. If Wikimedia communities were allowed to run more filters on every edit, some filters could be used for conduct dispute monitoring or prevention.

Event Timeline

TBolliger created this task.Jun 1 2017, 5:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2017, 5:01 PM
TBolliger updated the task description. (Show Details)Jun 1 2017, 5:27 PM

Perhaps T120740 could be a way to improve performance.

TBolliger renamed this task from AbuseFilter performance management improvements to Epic ⚡️ AbuseFilter performance management improvements.Sep 14 2017, 8:00 PM
TBolliger closed this task as Resolved.Dec 15 2017, 10:23 PM
TBolliger moved this task from Backlog to AHT Sprint 11 on the Anti-Harassment board.